Subject: Re: bug#52274: Gnus gcc header tokenization ignores space breaks multiple folder archive setup

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 20:23:26 +0100

Mats Lidell <[email-masked]> writes:

> In commit 08ce17c2c0d32e200af3984d59f0b78ec500dc2c "Fix Gnus gcc
> header tokenization" space is removed form the tokenization of Gcc.
>
> My setup with saving out going mails in two folders seems to have
> broken after that. My Gcc-header is setup like this:
>
>     Gcc: <sent-folder><SPACE><mail-folder>
>
> After the change "<sent-folder><SPACE><mail-folder>" seems to used for
> archiving causing some odd results.
>
> I have configured gnus-message-archive-group to return a list of
> <sent-folder> and <mail-folder> so I am not tampering with the Gcc
> header directly.

I've now changed gnus-inews-insert-gcc on master to insert a comma
between groups, so I think that should fix the problem.  Can you check?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no